# Murath Machinist.

Adds The Murath Machinist to ROR2, Based off of the Murath and their ships in Rebel Galaxy.
Multiplayer compatible, if you have any feedback please @ me (uninvitedCalamity) on the ROR2 modding discord or dm me at uninvitedCalamity#1334.

![Lobby](https://d.furaffinity.net/art/uninvitedcalamity/1658699969/1658699969.uninvitedcalamity_lobby.jpg)

![Idle](https://d.furaffinity.net/art/uninvitedcalamity/1658700044/1658700044.uninvitedcalamity_idlecropped.png)

## Overview

The Murath Machinist is a maneuverable ranged survivor with high range and damage.
However, he has low health and a large hitbox.

### Chargeable attacks
All of Murath Machinist's attacks are chargeable.

### Electro Bolt Cannon
Electro Bolt Cannon is a chargable attack, as it charges it's accuracy and burst firerate increases. 
It can be spammed to produce a constant barrage of innacurate projectiles.
Increased attack speed increases the rate this ability charges.

### Dumbfire Impulse missile
Dumbfire Impulse missile is a low damage attack with high force.
Can be charged to increase the force it applies to enemies within it's radius. 
Increased Firerate raises the charge multipler.

### Boost
Quickly move in the direction you're aiming.
Boost Uses a downward arcing trajectory and preserves some velocity on exit. This can be used to land gently on hard to reach places, but can also cause fall damage if you're not careful.

### Overcharge
Overcharge fires four lasers, alternating between cannons each fixed update.
Can be charged to increase Damage and Proc coefficient.
Increased Firerate raises the charge multiplier.

## Known issues
- Shading is a little finiky on the left gun in the character select screen.
- Sounds are not fully functional for other players in a session
- after being revived, guns are stuck facing down

## Note
I plan to finish developing this alongside another character mod I'm now making.
Got a new Job and now I'm back in the groove.

## Objectives
- Make compatible with Chen's Gradius mod.
- Make config so that Mr.Bones' Hopoo_Space_Murath doesn't have floating items.
- Add Item displays for DLC.
- Update animations to make him look alive.

## Possible objectives
- Write lore.
- Add custom sounds for everything.
- Add some alternate meshes for meeting challenges.
- I would like to give him an alternate Special that acts like the Ramming deflectors in Rebel Galaxy.

## Version 1.3.18
- Halved the tick rate of Overcharge, doubled it's damage stats
- Overcharge damage, proc and force scales off delta time.
- Added Config file to enable / disable Item Displays

## Version 1.3.17
- Added ItemDisplays for some items that I'd missed:
	57 Leaf Clover
	Hopoo Feather
	Brittle Crown
	Visions of Heresy
	Genesis Loop
	Pearl
	Personal Shield Generator
	Old War Stealth kit
	Irradiant Pearl
	Lepton Daisy
	Monster Tooth
- Moved Gasoline

## Version 1.3.16
- Changed R visual to mainain a constant size, changes lifespan of Particle effect, not size
- No longer outputs red error for Sawmerang
- Added noise alert to attack charges, From quietest to loudest: Primary, Secondary, Utility
- Removed commented hooks
- Added items to character, Thanks *Bad to the Bone Riff* and SeroRonin for advice

## Version 1.3.15
- Mastery skin unlock and Achievement implemented

## Version 1.3.14
- Added Mastery Skin

## Version 1.3.13
- Removed Physics components from projectile ghosts, they should stop shoving enemies around when you shoot them now

## Version 1.3.12
- Overcharge max duration reduced
- Sweetspot is no longer an overall damage buff to Overcharge, instead it is a one time damage boost that can trigger bands

## Version 1.3.11
- Previous version had .pdb in zip, not .dll

## Version 1.3.10
- Overcharge Laser duration was not scaling with charge, fixed

## Version 1.3.9
- re-disabled fall damage while using Bezier boost

## Version 1.3.8
- Inverted Corsshair animation to eliminate ambiguity
- Modified Overcharge, now fires longer(up to 2 seconds) the longer it is charged, does 75% it's previous damage
- Reduced damage of Impulse missile (was only ever intended to push enemies around, not trigger Runalds band)
- Added alternate Primary, Charge increases accuracy and damage, Auto fires once it has finished charging
- Updated forward animation to have head lean forward a bit more, like idle and strafing
- Reduced blend time between Sprinting and attacking positions to reduce firepoints deviating from normal positions
- Increased max force of Impulse missile to 400

## Version 1.3.7
- Removed old commented references to Henry
- Reduced size of Asset bundle, only pulls assets used for prefabs and icons
- Converted crosshair to Captains crosshair

## Version 1.3.6
- Added Particle effect when attacks are finished charging
- Corrected Grace window on Overcharge, it was triggering before the attack would be fully charged
- Modified Overcharge animation to line up with charge speed
- Changed timing for Missile sound to like up with attack charge
- Removed un-used animations from Asset bundle
- Flipped Selection Icon around to face the same way as other survivors

## Version 1.3.5
- Added grace window to the end of Overcharge, if the ability is released within 0.5 seconds damage output is increased by 1.5*

## Version 1.3.4
- Added compatibility for AutoSprint
- Updated version number in plugin

## Version 1.3.3
- Primary can now be charged while sprinting
- Impulse missile force capacity and charge rate now scales exponentially to 200 based on attack speed
- Added charge sound to Primary and Secondary
- Modified Attack charge states to act consistantly, charge value is calculated inside state and only applied to control bone once state is finished.
- Changed Lore to "Big fluffy boi got isekai'd into ROR2" while I figure out what I want it to actually be

## Version 1.3.2
- Directional boost will change direction during ability based on input derection
- Slightly reduced Directional boost power
- Directional boost no longer uses movespeed modifiers, fixed speed

Currently working on Designing & Modeling Mastery skin

## Version 1.3.1
- Directional boost is now based on input direction
- Added altered sprite for Directional boost
- Directional boost has 4 base charges, 5 second recharge time
- Fixed ragdoll issues

## Version 1.3.0
- Default colour icon is now a sprite
- Modified Utility to respond the same way regardless of firerate, Changed state name to "MurathBoostAction" from "Roll"
- Updated Character decription
- Added Alternate Utility, moves Murath based on current velocity

## Version 1.2.0
- Updated Flesh UV's
- Added Lobby Entrance animation
- Added default Texture Icon
- Changed Overcharge laser to use a "Muzzleflash" effect (Previously controlled a particle effect animation parented to the armature)
- Created Git Repo for Murath Machinist Blend file

## Version 1.1.0
- Updated Tail physics, tail now bends as one cohesive object
- Added custom sound for Dumbfire missile Explosion

## Version 1.0.4
- Removed Screen shake on Primary
- Reduced Screen shake on Secondary

## Version 1.0.3
- Added Electrobolt Projectile
- Added Detonation effect to Electro bolt Projectile
- Added sounds for Electrobolt, Missile, Boost and Laser
- Modified Electrobolt cannon to set it's charge state as the next state if it detects skill 1 activation in the last 20% duration of the skill

## Version 1.0.2
- Updated readme to hopefully use the syntax properly this time

## Version 1.0.1
- Removed Debug logs
- Added explosion effect to Dumbfire missile
- Added Icons
- Changed Dumbfire missile's mesh to custom missile mesh
- Updated Readme

## Version 1.0.0
- Initial upload

# Credit
- Model, Animations and Abilities made by Uninvited Calamity (Me :D, Blend file can be downloaded from https://github.com/uninvitedCalamity/MurathBlendFile).
- Character built using the Henry Example by ArcPh1r3.
- Custom sound components sourced from Zapsplat.com.

# Special thanks to:
- iDeathHD for clarifying how to update this.
- Snowz for feedback
- The F5 Key for feedback
- dgosling for information on Captain's Crosshair
- Ya boi PHAT for feedback
- RandomlyAwesome for support with Achievements
- HIFU for support with Achievements
- *Bad to the Bone Riff* for support with Item Displays
- SeroRonin for support with Item Displays